Skip to main content
GET
/
api
/
payouts
Export payouts
curl --request GET \
  --url https://api.stage.rocka.live/api/payouts \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "4086e6ec1e7e4743af6954edfcbf557f",
    "amount": 20,
    "currency": "EUR",
    "status": "Done",
    "fee": 0,
    "balanceAfterOperation": null,
    "balanceImpact": -20,
    "operationType": "Payout",
    "createdAt": "2026-05-11T07:12:51.182Z",
    "executedAt": "2026-05-11T07:13:05.747Z",
    "receivedAt": null,
    "rejectReason": ""
  },
  {
    "id": "bd4b23049d674639a96dabcf1adf07b8",
    "amount": 20,
    "currency": "EUR",
    "status": "Done",
    "fee": 0,
    "balanceAfterOperation": null,
    "balanceImpact": -20,
    "operationType": "Payout",
    "createdAt": "2026-05-11T07:12:51.182Z",
    "executedAt": "2026-05-11T07:13:05.747Z",
    "receivedAt": null,
    "rejectReason": ""
  },
  {
    "id": "9f45995875a84fa2b0e26f67371899f6",
    "amount": 20,
    "currency": "EUR",
    "status": "Done",
    "fee": 0,
    "balanceAfterOperation": null,
    "balanceImpact": -20,
    "operationType": "Payout",
    "createdAt": "2026-05-11T07:12:51.147Z",
    "executedAt": "2026-05-11T07:13:05.626Z",
    "receivedAt": null,
    "rejectReason": ""
  }
]

Authorizations

x-api-key
string
header
required

To get your own API keys, go to the Integration tab in your Rocka Hub. Use your test (not live) credentials to make API requests from this form.

Query Parameters

dateFrom
string<date-time>

Only include payouts that were made after a certain date. YYYY-MM-DD.

dateTo
string<date-time>

Only include payouts that were made before a certain date. YYYY-MM-DD.

status
enum<string>

Payout status.

Available options:
Processing,
Executing,
Failed,
Done,
Rejected

Response

200 - application/json

Payouts retrieved successfully.

id
string

Payout ID.

amount
number<double>

The total amount transferred.

currency
string

Payout currency.

status
string

Payout status.

fee
number<double>

Total payout fee.

balanceAfterOperation
number<double> | null

Balance remaining after the payout was completed.

balanceImpact
number<double>

The net change to the balance.

operationType
string

Transaction type.

createdAt
string<date-time>

The date and time the payout was created.

executedAt
string<date-time> | null

The date and time the payout was executed.

receivedAt
string<date-time> | null

The date and time the recipient received the payout.

rejectReason
string | null

The reason why the payout failed.

Last modified on June 22, 2026